/**
 * <copyright>
 * </copyright>
 *
 * $Id: RecordDefValidator.java,v 1.1 2008-04-01 09:35:20 vmahe Exp $
 */
package orgomg.cwm.resource.record.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.resource.record.RecordFile;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.record.RecordDef}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RecordDefValidator {
	boolean validate();

	boolean validateFieldDelimiter(String value);
	boolean validateIsFixedWidth(boolean value);
	boolean validateTextDelimiter(String value);
	boolean validateFile(EList<RecordFile> value);
}
